﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class PlayerController : MonoBehaviour
{

    private Rigidbody rb;

    public float speed = 5.0f;

    public int count = 0;

    public Text countText;

    public Text winText;

    void Start()
    {
        rb = this.GetComponent<Rigidbody>();
        SetCountText();
    }

    // Update is called once per frame
    private float thisTime;
    void FixedUpdate()
    {
        float moveHorizontal = Input.GetAxis("Horizontal");
        float moveVertical = Input.GetAxis("Vertical");

        Vector3 movement = new Vector3(moveHorizontal, 0, moveVertical);

        rb.AddForce(movement*speed);

        if (Input.GetKey(KeyCode.Space) && Time.time>thisTime+1)
        {
            rb.AddForce(new Vector3(0, -speed * 100, 0));
            thisTime = Time.time;
        }

    }

    void OnTriggerEnter(Collider other)
    {
      //  Destroy(other.gameObject);

        if (other.gameObject.CompareTag("PickUp"))
        {
            other.gameObject.SetActive(false);
            count++; // count = count + 1; // count += 1; //
            SetCountText();

            if (count>=12)
            {
                winText.gameObject.SetActive(true);
                countText.text = "Time: " + Time.time.ToString("0.0") + " sec";
            }

        }

    }

    void SetCountText ()
    {
        countText.text = "Count: " + count.ToString();
    }

}
